Intermittent docshell/test/test_bug413310.html | finished in a non-clean fashion (in /tests/docshell/test/test_bug384014.html)

NEW
Unassigned

Status

()

defect
P5
normal
7 years ago
2 years ago

People

(Reporter: sgautherie, Unassigned)

Tracking

({intermittent-failure})

Trunk
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox12 wontfix)

Details

(Whiteboard: [test disabled][leave open], URL)

Attachments

(2 attachments)

Comment hidden (empty)
(Reporter)

Updated

7 years ago
Component: General → Document Navigation
QA Contact: general → docshell

Comment 1

7 years ago
Is there a log for this failure?
(Reporter)

Comment 2

7 years ago
Oh, forget that!

https://tbpl.mozilla.org/php/getParsedLog.php?id=8639231&tree=Firefox
Rev4 MacOSX Snow Leopard 10.6 mozilla-central debug test mochitests-2/5 on 2012-01-18 09:23:09 PST for push 19af1aac33ac
{
573 INFO TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug413310.html | finished in a non-clean fashion (in /tests/docshell/test/test_bug384014.html)
}
(Reporter)

Comment 3

7 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #2)
> Oh, forget that!

"Oh, I forgot to copy that!"

Comment 4

7 years ago
So this test calls history.back(), and that seems to navigate the test frame back as opposed to the iframe inside the test.  Boris, I remember we had a bug similar to this a while ago which you fixed.  Could you also look into this?
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
(Reporter)

Comment 12

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1335343933.1335346096.5960.gz
WINNT 5.2 comm-aurora debug test mochitests-2/5 on 2012/04/25 01:52:13
s: cn-sea-qm-win2k3-01
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Whiteboard: [orange]
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
(Reporter)

Comment 121

6 years ago
Failures (now) happen on all platforms, not x86_64 MacOSX only.

*****

Recent reports often include some JS 'TypeError'.
Hopefully, they could help to figure out what causes this bug.

(In reply to TBPL Robot from comment #105)
> TypeError: infos is undefined

(In reply to TBPL Robot from comment #112)
> TypeError: this.downloads[data.manifest] is undefined

(In reply to TBPL Robot from comment #113)
> TypeError: this.downloads[data.manifest] is undefined

(In reply to TBPL Robot from comment #114)
> TypeError: this.downloads[data.manifest] is undefined
> TypeError: infos is null

(In reply to TBPL Robot from comment #115)
> TypeError: this.downloads[data.manifest] is undefined

(In reply to TBPL Robot from comment #116)
> TypeError: this.downloads[data.manifest] is undefined

(In reply to TBPL Robot from comment #118)
> ImportError: cannot import name OrderedDict

(In reply to TBPL Robot from comment #120)
> ImportError: cannot import name OrderedDict
OS: Mac OS X → All
Hardware: x86_64 → All
(Reporter)

Comment 122

6 years ago
Boris, about comment 4 and comment 5.
Flags: needinfo?(bzbarsky)
Olli, do you have time to look into this?
Flags: needinfo?(bzbarsky) → needinfo?(bugs)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Test disabled until someone looks into the failures:
https://hg.mozilla.org/integration/mozilla-inbound/rev/8ab4f1b026aa
Whiteboard: [test disabled][leave open]
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Posted patch guess fixSplinter Review
Doing any new page load or session history stuff during load event listener
may lead to surprising results.

https://tbpl.mozilla.org/?tree=Try&rev=489170531aa4
Flags: needinfo?(bugs)
(Reporter)

Comment 169

5 years ago
(In reply to Olli Pettay [:smaug] from comment #168)
> Doing any new page load or session history stuff during load event listener
> may lead to surprising results.

Worth a try :-)
May be try SimpleTest.executeSoon() ?
Maybe add a comment to the test itself to explain why a "delay" is needed?
No reason to use SimpleTest.executeSoon.

Apparently the test is now in m-1, so I retriggered it few times.
Attachment #8453428 - Flags: review?(bzbarsky)
Comment on attachment 8453428 [details] [diff] [review]
guess fix

Seems ok, though maybe executSoon instead of setTimeout?
Attachment #8453428 - Flags: review?(bzbarsky) → review+
I really don't know why to use executeSoon.
(in other words, I prefer using APIs which are exposed to normal web pages.)
executeSoon just makes it clear that you don't care about timers, just want a separate task.
Posted patch exportSplinter Review
Well, since I pushed to try with setTimeout, not worth to change.
Assignee: nobody → bugs
Keywords: checkin-needed
sorry had to backout this change for e10s test failure like https://tbpl.mozilla.org/php/getParsedLog.php?id=43590098&tree=Mozilla-Inbound
Assignee: bugs → nobody
(Reporter)

Comment 178

5 years ago
(In reply to Carsten Book [:Tomcat] from comment #177)
> sorry had to backout this change for e10s test failure like
> https://tbpl.mozilla.org/php/getParsedLog.php?id=43590098&tree=Mozilla-
> Inbound

Ftr,
{{
Ubuntu VM 12.04 mozilla-inbound opt test mochitest-e10s-2 on 2014-07-11 00:54:09 PDT for push 2b7493acc268

slave: tst-linux32-spot-652


00:57:24     INFO -  129 INFO TEST-PASS | /tests/docshell/test/test_bug413310.html | Done new load
00:57:24     INFO -  130 INFO TEST-PASS | /tests/docshell/test/test_bug413310.html | Unexpected subframe location after new load
00:57:24     INFO -  131 INFO TEST-PASS | /tests/docshell/test/test_bug413310.html | History traversal didn't fire onload: bfcache issues!
00:57:24     INFO -  132 INFO TEST-PASS | /tests/docshell/test/test_bug413310.html | Unexpected subframe location
00:57:24     INFO -  133 INFO TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug413310.html | Did a load when going back? - got POST 1405065443969, expected POST 1405065444146
}}
Comment hidden (Legacy TBPL/Treeherder Robot)

Comment 180

3 years ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
Priority: P3 → P5
You need to log in before you can comment on or make changes to this bug.